<script>

	export let size = 50;
	$: width = parseInt(size);
	$: circleWidth = parseInt(width*0.8);
	$: rotateWidth = parseInt(width*0.5);
	$: borderWidth = Math.ceil(width*0.05);

  function polarToCartesian(centerX, centerY, radius, angleInDegrees) {
      var angleInRadians = (angleInDegrees-90) * Math.PI / 180.0;

      return {
          x: centerX + (radius * Math.cos(angleInRadians)),
          y: centerY + (radius * Math.sin(angleInRadians))
      };
  }

  function describeArc(x, y, radius, startAngle, endAngle){

      var start = polarToCartesian(x, y, radius, endAngle);
      var end = polarToCartesian(x, y, radius, startAngle);

      var largeArcFlag = endAngle - startAngle <= 180 ? "0" : "1";

      var d = [
          "M", start.x, start.y,
          "A", radius, radius, 0, largeArcFlag, 0, end.x, end.y
      ].join(" ");

      return d;
  }
  $: d= describeArc(width/2, width/2, circleWidth/2, 0, 300)

</script>

<style>
    svg path {
        stroke: var(--preload-color, #ccc);
        stroke-width: var(--preload-border-size);
        fill: transparent;
    }
</style>


 <svg version="1.1"
      xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
      x="0px" y="0px" width="{width}px" height="{width}px"
      viewBox="0 0 {width} {width}"
      style="enable-background:new 0 0 {width} {width}; --preload-border-size: {borderWidth}px"
      xml:space="preserve"

 >
 <path d="{d}"  >
    <animateTransform attributeType="xml"
                      attributeName="transform"
                      type="rotate"
                      from="0 {rotateWidth} {rotateWidth}"
                      to="360 {rotateWidth} {rotateWidth}"
                      dur="0.6s"
                      repeatCount="indefinite"/>
     </path>
  </svg>


